Improved rendering of notes
Status: Closed Start date: 01/01/2013

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.6   

Description

The notes are not rendered very well yet. Consider the first chapter of Aemilius Paulus By Plutarch:

<span data-resp="ed" data-place="unspecified" data-anchored="yes" class="note">

    <span data-lang="greek" class="foreign">

        <span class="word">ἐμοὶ</span>

    </span> with Bekker, after Stephanus and Reiske: 

        <span data-lang="greek" class="foreign">

           <span class="word">ἐμοὶ</span>

           <span class="word">μὲν</span>.

        </span>

    </span>

</span>

 

I would like to use either popovers or tooltips.

Associated revisions

Revision 383 - 03/06/2013 07:44 AM - Luke Murphey

Improved rendering of the notes. Closes #505.

Revision 383 - 03/06/2013 07:44 AM - Luke Murphey

Improved rendering of the notes. Closes #505.

Revision 373 - 03/06/2013 07:44 AM - Luke Murphey

Improved rendering of the notes. Closes #505.

History

#1 - 01/01/2013 07:05 PM - Luke Murphey

- Target version set to 1.0

#2 - 02/19/2013 07:27 AM - Luke Murphey

- Target version changed from 1.0 to 0.6

#3 - 02/25/2013 08:17 AM - Luke Murphey

- Assignee set to Luke Murphey

#4 - 03/06/2013 05:33 AM - Luke Murphey

- Status changed from New to In Progress

The HTML5Converter class takes a node_transformation_fx. Overriding this should allow some level of customization. However, the content of the
http://twitter.github.com/bootstrap/javascript.html#popovers
http://twitter.github.com/bootstrap/javascript.html#tooltips


tootips and popovers is supplied by an attribute, not the content.

#5 - 03/06/2013 06:29 AM - Luke Murphey

The current text transformation system is good at changing node names but difficult to use for taking contents that may need to be processed on the

text transform and moving it into an attribute.

#6 - 03/06/2013 06:46 AM - Luke Murphey

The following technique might work: 

http://www.thoughtdelimited.org/thoughts/post.cfm/simple-technique-for-creating-multiple-twitter-bootstrap-popovers

#7 - 03/06/2013 07:44 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset r383.
